classification
Title: The separate download version for the documentation doesn't work
Type: Stage:
Components: Documentation, Windows Versions: Python 2.7
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Cristian.Baboi, docs@python, loewis, terry.reedy
Priority: normal Keywords:

Created on 2014-03-25 22:42 by Cristian.Baboi, last changed 2014-03-29 20:33 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
doc.png Cristian.Baboi, 2014-03-29 11:49
open.png Cristian.Baboi, 2014-03-29 11:49
Messages (6)
msg214860 - (view) Author: Cristian Baboi (Cristian.Baboi) Date: 2014-03-25 22:42
I downloaded python 2.7.6 documentation file for Windows python276.chm and it doesn't display any documentation page. It shows only the table of content.
msg215121 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-03-29 07:38
When I open it on Win7 from the start menu ('Python Manuals'), I see a page starting with 
"Welcome! This is the documentation for Python 2.7.6, last updated Nov 10, 2013. ".
Did you do something differnt? Can you access pages from the contents?
msg215124 - (view) Author: Cristian Baboi (Cristian.Baboi) Date: 2014-03-29 09:45
Yes. I downloaded the separate chm file and double clicked on the file. There is no entry on the start menu. The file included in the python installer is OK.

On 29 martie 2014 09:38:50 EET, "Terry J. Reedy" <report@bugs.python.org> wrote:
>
>Terry J. Reedy added the comment:
>
>When I open it on Win7 from the start menu ('Python Manuals'), I see a
>page starting with 
>"Welcome! This is the documentation for Python 2.7.6, last updated Nov
>10, 2013. ".
>Did you do something differnt? Can you access pages from the contents?
>
>----------
>nosy: +terry.reedy
>
>_______________________________________
>Python tracker <report@bugs.python.org>
><http://bugs.python.org/issue21066>
>_______________________________________
msg215125 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-03-29 10:26
Can you please provide a screenshot?
msg215128 - (view) Author: Cristian Baboi (Cristian.Baboi) Date: 2014-03-29 11:49
În data de Sat, 29 Mar 2014 12:26:48 +0200, Martin v. Löwis  
<report@bugs.python.org> a scris:

>
> Martin v. Löwis added the comment:
>
> Can you please provide a screenshot?

Yes. The problem seems to be with windows blocking the pages because some  
security issues.
Downloading the file with opera 12.16 or on linux, the file is displayed  
correctly.

On Windows7 with safari, chrome and firefox a warning appears and then the  
file is displayed incorrectly.
I attached the screenshots.

PS. The background of the content on debian squeeze is not white.
msg215141 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-03-29 20:33
This is not a bug in Python, but a Windows limitation. In the first box, uncheck "Always ask before opening this file", then reopen. Alternatively, right-click on the file, open properties, and press "Unblock".

Microsoft imposes this behavior on all CHM files downloaded from the internet. For other file types (.exe, .msi) they allow the package author to use code signing to establish trust in the authenticity of the file, but not so for CHM.

Closing this as "3rd party".
History
Date User Action Args
2014-03-29 20:33:41loewissetstatus: open -> closed
resolution: third party
messages: + msg215141
2014-03-29 11:49:04Cristian.Baboisetfiles: + doc.png, open.png

messages: + msg215128
title: The separate download version for the documentation doesn't work -> The separate download version for the documentation doesn't work
2014-03-29 10:26:48loewissetnosy: + loewis
messages: + msg215125
2014-03-29 09:45:25Cristian.Baboisetmessages: + msg215124
title: The separate download version for the documentation doesn't work -> The separate download version for the documentation doesn't work
2014-03-29 07:38:50terry.reedysetnosy: + terry.reedy
messages: + msg215121
2014-03-25 22:42:26Cristian.Baboicreate